-- get engine environment
local A, O = unpack(select(2, ...))
-- set engine as new global environment
setfenv(1, _G.AlertMe)
local LSM = A.Libs.LSM

function A:InitLSM()
	dprint(3, "A:InitLSM")
	A.Sounds = LSM:HashTable("sound")
	A.Statusbars = LSM:HashTable("statusbar")
	A.Backgrounds = LSM:HashTable("background")
	A.Fonts = LSM:HashTable("font")
	A.Borders = LSM:HashTable("font")
end

-- status bars
LSM:Register("statusbar", "Aluminium", [[Interface\AddOns\AlertMe\Media\statusbar\Aluminium]])
LSM:Register("statusbar", "Armory", [[Interface\Addons\AlertMe\Media\statusbar\Armory]])
LSM:Register("statusbar", "BantoBar", [[Interface\Addons\AlertMe\Media\statusbar\BantoBar]])
LSM:Register("statusbar", "Bars", [[Interface\Addons\AlertMe\Media\statusbar\Bars]])
LSM:Register("statusbar", "Bumps", [[Interface\Addons\AlertMe\Media\statusbar\Bumps]])
LSM:Register("statusbar", "Button", [[Interface\Addons\AlertMe\Media\statusbar\Button]])
LSM:Register("statusbar", "Charcoal", [[Interface\Addons\AlertMe\Media\statusbar\Charcoal]])
LSM:Register("statusbar", "Cilo", [[Interface\Addons\AlertMe\Media\statusbar\Cilo]])
LSM:Register("statusbar", "Cloud", [[Interface\Addons\AlertMe\Media\statusbar\Cloud]])
LSM:Register("statusbar", "Comet", [[Interface\Addons\AlertMe\Media\statusbar\Comet]])
LSM:Register("statusbar", "Dabs", [[Interface\Addons\AlertMe\Media\statusbar\Dabs]])
LSM:Register("statusbar", "DarkBottom", [[Interface\Addons\AlertMe\Media\statusbar\DarkBottom]])
LSM:Register("statusbar", "Diagonal", [[Interface\Addons\AlertMe\Media\statusbar\Diagonal]])
LSM:Register("statusbar", "Empty",    [[Interface\Addons\AlertMe\Media\statusbar\Empty]])
LSM:Register("statusbar", "Falumn", [[Interface\Addons\AlertMe\Media\statusbar\Falumn]])
LSM:Register("statusbar", "Fifths", [[Interface\Addons\AlertMe\Media\statusbar\Fifths]])
LSM:Register("statusbar", "Flat", [[Interface\Addons\AlertMe\Media\statusbar\Flat]])
LSM:Register("statusbar", "Fourths", [[Interface\Addons\AlertMe\Media\statusbar\Fourths]])
LSM:Register("statusbar", "Frost", [[Interface\Addons\AlertMe\Media\statusbar\Frost]])
LSM:Register("statusbar", "Glamour", [[Interface\Addons\AlertMe\Media\statusbar\Glamour]])
LSM:Register("statusbar", "Glamour2", [[Interface\Addons\AlertMe\Media\statusbar\Glamour2]])
LSM:Register("statusbar", "Glamour3", [[Interface\Addons\AlertMe\Media\statusbar\Glamour3]])
LSM:Register("statusbar", "Glamour4", [[Interface\Addons\AlertMe\Media\statusbar\Glamour4]])
LSM:Register("statusbar", "Glamour5", [[Interface\Addons\AlertMe\Media\statusbar\Glamour5]])
LSM:Register("statusbar", "Glamour6", [[Interface\Addons\AlertMe\Media\statusbar\Glamour6]])
LSM:Register("statusbar", "Glamour7", [[Interface\Addons\AlertMe\Media\statusbar\Glamour7]])
LSM:Register("statusbar", "Glass", [[Interface\Addons\AlertMe\Media\statusbar\Glass]])
LSM:Register("statusbar", "Glaze", [[Interface\Addons\AlertMe\Media\statusbar\Glaze]])
LSM:Register("statusbar", "Glaze v2", [[Interface\Addons\AlertMe\Media\statusbar\Glaze2]])
LSM:Register("statusbar", "Gloss", [[Interface\Addons\AlertMe\Media\statusbar\Gloss]])
LSM:Register("statusbar", "Graphite", [[Interface\Addons\AlertMe\Media\statusbar\Graphite]])
LSM:Register("statusbar", "Grid", [[Interface\Addons\AlertMe\Media\statusbar\Grid]])
LSM:Register("statusbar", "Hatched", [[Interface\Addons\AlertMe\Media\statusbar\Hatched]])
LSM:Register("statusbar", "Healbot", [[Interface\Addons\AlertMe\Media\statusbar\Healbot]])
LSM:Register("statusbar", "Lyfe", [[Interface\Addons\AlertMe\Media\statusbar\Lyfe]])
LSM:Register("statusbar", "LiteStep", [[Interface\Addons\AlertMe\Media\statusbar\LiteStep]])
LSM:Register("statusbar", "LiteStepLite", [[Interface\Addons\AlertMe\Media\statusbar\LiteStepLite]])
LSM:Register("statusbar", "Melli", [[Interface\Addons\AlertMe\Media\statusbar\Melli]])
LSM:Register("statusbar", "Melli Dark", [[Interface\Addons\AlertMe\Media\statusbar\MelliDark]])
LSM:Register("statusbar", "Melli Dark Rough", [[Interface\Addons\AlertMe\Media\statusbar\MelliDarkRough]])
LSM:Register("statusbar", "Minimalist", [[Interface\Addons\AlertMe\Media\statusbar\Minimalist]])
LSM:Register("statusbar", "Otravi", [[Interface\Addons\AlertMe\Media\statusbar\Otravi]])
LSM:Register("statusbar", "Outline", [[Interface\Addons\AlertMe\Media\statusbar\Outline]])
LSM:Register("statusbar", "Perl", [[Interface\Addons\AlertMe\Media\statusbar\Perl]])
LSM:Register("statusbar", "Perl v2", [[Interface\Addons\AlertMe\Media\statusbar\Perl2]])
LSM:Register("statusbar", "Pill", [[Interface\Addons\AlertMe\Media\statusbar\Pill]])
LSM:Register("statusbar", "Rain", [[Interface\Addons\AlertMe\Media\statusbar\Rain]])
LSM:Register("statusbar", "Rocks", [[Interface\Addons\AlertMe\Media\statusbar\Rocks]])
LSM:Register("statusbar", "Round", [[Interface\Addons\AlertMe\Media\statusbar\Round]])
LSM:Register("statusbar", "Ruben", [[Interface\Addons\AlertMe\Media\statusbar\Ruben]])
LSM:Register("statusbar", "Runes", [[Interface\Addons\AlertMe\Media\statusbar\Runes]])
LSM:Register("statusbar", "Skewed", [[Interface\Addons\AlertMe\Media\statusbar\Skewed]])
LSM:Register("statusbar", "Smooth", [[Interface\Addons\AlertMe\Media\statusbar\Smooth]])
LSM:Register("statusbar", "Smooth v2", [[Interface\Addons\AlertMe\Media\statusbar\Smoothv2]])
LSM:Register("statusbar", "Smudge", [[Interface\Addons\AlertMe\Media\statusbar\Smudge]])
LSM:Register("statusbar", "Steel", [[Interface\Addons\AlertMe\Media\statusbar\Steel]])
LSM:Register("statusbar", "Striped", [[Interface\Addons\AlertMe\Media\statusbar\Striped]])
LSM:Register("statusbar", "Tube", [[Interface\Addons\AlertMe\Media\statusbar\Tube]])
LSM:Register("statusbar", "Water", [[Interface\Addons\AlertMe\Media\statusbar\Water]])
LSM:Register("statusbar", "Wglass", [[Interface\Addons\AlertMe\Media\statusbar\Wglass]])
LSM:Register("statusbar", "Wisps", [[Interface\Addons\AlertMe\Media\statusbar\Wisps]])
LSM:Register("statusbar", "Xeon", [[Interface\Addons\AlertMe\Media\statusbar\Xeon]])

-- fonts
LSM:Register("font", "Roboto Condensed Bold", [[Interface\AddOns\AlertMe\Media\font\roboto_condensed\RobotoCondensed-Bold.ttf]])
LSM:Register("font", "Roboto Condensed BoldItalic", [[Interface\AddOns\AlertMe\Media\font\roboto_condensed\RobotoCondensed-BoldItalic.ttf]])
LSM:Register("font", "Roboto Condensed Light", [[Interface\AddOns\AlertMe\Media\font\roboto_condensed\RobotoCondensed-Light.ttf]])
LSM:Register("font", "Roboto Condensed LightItalic", [[Interface\AddOns\AlertMe\Media\font\roboto_condensed\RobotoCondensed-LightItalic.ttf]])
LSM:Register("font", "Roboto Condensed Regular", [[Interface\AddOns\AlertMe\Media\font\roboto_condensed\RobotoCondensed-Regular.ttf]])
LSM:Register("font", "Roboto Condensed RegularItalic", [[Interface\AddOns\AlertMe\Media\font\roboto_condensed\RobotoCondensed-RegularItalic.ttf]])
-- LSM:Register("font", "Adventure", [[Interface\Addons\AlertMe\Media\font\adventure\Adventure.ttf]])
-- LSM:Register("font", "Bazooka", [[Interface\Addons\AlertMe\Media\font\bazooka\Bazooka.ttf]])
-- LSM:Register("font", "Black Chancery", [[Interface\Addons\AlertMe\Media\font\black_chancery\BlackChancery.ttf]])
-- LSM:Register("font", "Celestia Medium Redux", [[Interface\Addons\AlertMe\Media\font\celestia_medium_redux\CelestiaMediumRedux1.55.ttf]])
-- LSM:Register("font", "DejaVu Sans", [[Interface\Addons\AlertMe\Media\font\deja_vu\DejaVuLGCSans.ttf]])
-- LSM:Register("font", "DejaVu Serif", [[Interface\Addons\AlertMe\Media\font\deja_vu\DejaVuLGCSerif.ttf]])
-- LSM:Register("font", "DorisPP", [[Interface\Addons\AlertMe\Media\font\doris_pp\DorisPP.ttf]])
-- LSM:Register("font", "Enigmatic", [[Interface\Addons\AlertMe\Media\font\enigmatic\EnigmaU_2.ttf]])
-- LSM:Register("font", "Fitzgerald", [[Interface\Addons\AlertMe\Media\font\fitzgerald\Fitzgerald.ttf]])
-- LSM:Register("font", "Gentium Plus", [[Interface\Addons\AlertMe\Media\font\gentium_plus\GentiumPlus-R.ttf]])
-- LSM:Register("font", "Hack", [[Interface\Addons\AlertMe\Media\font\hack\Hack-Regular.ttf]])
-- LSM:Register("font", "Liberation Sans", [[Interface\Addons\AlertMe\Media\font\liberation\LiberationSans-Regular.ttf]])
-- LSM:Register("font", "Liberation Serif", [[Interface\Addons\AlertMe\Media\font\liberation\LiberationSerif-Regular.ttf]])
-- LSM:Register("font", "SF Atarian System", [[Interface\Addons\AlertMe\Media\font\sf_atarian_system\SFAtarianSystem.ttf]])
-- LSM:Register("font", "SF Covington", [[Interface\Addons\AlertMe\Media\font\sf_covington\SFCovington.ttf]])
-- LSM:Register("font", "SF Movie Poster", [[Interface\Addons\AlertMe\Media\font\sf_movie_poster\SFMoviePoster-Bold.ttf]])
-- LSM:Register("font", "SF Wonder Comic", [[Interface\Addons\AlertMe\Media\font\sf_wonder_comic\SFWonderComic.ttf]])
-- LSM:Register("font", "Yellowjacket", [[Interface\Addons\AlertMe\Media\font\yellowjacket\yellow.ttf]])

-- sound
LSM:Register("sound", "Adrenaline Rush", [[Interface\AddOns\AlertMe\Media\sound\Adrenaline Rush.ogg]])
LSM:Register("sound", "Aimed Shot", [[Interface\AddOns\AlertMe\Media\sound\Aimed Shot.ogg]])
LSM:Register("sound", "Arcane Power", [[Interface\AddOns\AlertMe\Media\sound\Arcane Power.ogg]])
LSM:Register("sound", "Banish", [[Interface\AddOns\AlertMe\Media\sound\Banish.ogg]])
LSM:Register("sound", "Barkskin", [[Interface\AddOns\AlertMe\Media\sound\Barkskin.ogg]])
LSM:Register("sound", "Battle Stance", [[Interface\AddOns\AlertMe\Media\sound\Battle Stance.ogg]])
LSM:Register("sound", "Berserker Rage", [[Interface\AddOns\AlertMe\Media\sound\Berserker Rage.ogg]])
LSM:Register("sound", "Berserker Stance", [[Interface\AddOns\AlertMe\Media\sound\Berserker Stance.ogg]])
LSM:Register("sound", "Blade Flurry", [[Interface\AddOns\AlertMe\Media\sound\Blade Flurry.ogg]])
LSM:Register("sound", "Blessing of Freedom", [[Interface\AddOns\AlertMe\Media\sound\Blessing of Freedom.ogg]])
LSM:Register("sound", "Blessing of Protection", [[Interface\AddOns\AlertMe\Media\sound\Blessing of Protection.ogg]])
LSM:Register("sound", "Blessing of Sacrifice", [[Interface\AddOns\AlertMe\Media\sound\Blessing of Sacrifice.ogg]])
LSM:Register("sound", "Blind Enemy", [[Interface\AddOns\AlertMe\Media\sound\Blind Enemy.ogg]])
LSM:Register("sound", "Blind Friend", [[Interface\AddOns\AlertMe\Media\sound\Blind Friend.ogg]])
LSM:Register("sound", "Blind", [[Interface\AddOns\AlertMe\Media\sound\Blind.ogg]])
LSM:Register("sound", "BoF", [[Interface\AddOns\AlertMe\Media\sound\BoF.ogg]])
LSM:Register("sound", "BoP", [[Interface\AddOns\AlertMe\Media\sound\BoP.ogg]])
LSM:Register("sound", "Bubble", [[Interface\AddOns\AlertMe\Media\sound\Bubble.ogg]])
LSM:Register("sound", "Cannibalize", [[Interface\AddOns\AlertMe\Media\sound\Cannibalize.ogg]])
LSM:Register("sound", "Cold Blood", [[Interface\AddOns\AlertMe\Media\sound\Cold Blood.ogg]])
LSM:Register("sound", "Cold Snap", [[Interface\AddOns\AlertMe\Media\sound\Cold Snap.ogg]])
LSM:Register("sound", "Combustion", [[Interface\AddOns\AlertMe\Media\sound\Combustion.ogg]])
LSM:Register("sound", "Countered", [[Interface\AddOns\AlertMe\Media\sound\Countered.ogg]])
LSM:Register("sound", "Counterspell", [[Interface\AddOns\AlertMe\Media\sound\Counterspell.ogg]])
LSM:Register("sound", "Dash", [[Interface\AddOns\AlertMe\Media\sound\Dash.ogg]])
LSM:Register("sound", "Death Coil", [[Interface\AddOns\AlertMe\Media\sound\Death Coil.ogg]])
LSM:Register("sound", "Death Wish", [[Interface\AddOns\AlertMe\Media\sound\Death Wish.ogg]])
LSM:Register("sound", "Defensive Stance", [[Interface\AddOns\AlertMe\Media\sound\Defensive Stance.ogg]])
LSM:Register("sound", "Deterrence", [[Interface\AddOns\AlertMe\Media\sound\Deterrence.ogg]])
LSM:Register("sound", "Disarm", [[Interface\AddOns\AlertMe\Media\sound\Disarm.ogg]])
LSM:Register("sound", "Dispel", [[Interface\AddOns\AlertMe\Media\sound\Dispel.ogg]])
LSM:Register("sound", "Divine Shield", [[Interface\AddOns\AlertMe\Media\sound\Divine Shield.ogg]])
LSM:Register("sound", "Drinking", [[Interface\AddOns\AlertMe\Media\sound\Drinking.ogg]])
LSM:Register("sound", "Earthbind Totem", [[Interface\AddOns\AlertMe\Media\sound\Earthbind Totem.ogg]])
LSM:Register("sound", "Elemental Mastery", [[Interface\AddOns\AlertMe\Media\sound\Elemental Mastery.ogg]])
LSM:Register("sound", "Enrage", [[Interface\AddOns\AlertMe\Media\sound\Enrage.ogg]])
LSM:Register("sound", "Entangling Roots", [[Interface\AddOns\AlertMe\Media\sound\Entangling Roots.ogg]])
LSM:Register("sound", "Escape Artist", [[Interface\AddOns\AlertMe\Media\sound\Escape Artist.ogg]])
LSM:Register("sound", "Evasion", [[Interface\AddOns\AlertMe\Media\sound\Evasion.ogg]])
LSM:Register("sound", "Evocation", [[Interface\AddOns\AlertMe\Media\sound\Evocation.ogg]])
LSM:Register("sound", "FAP", [[Interface\AddOns\AlertMe\Media\sound\FAP.ogg]])
LSM:Register("sound", "Fear Enemy", [[Interface\AddOns\AlertMe\Media\sound\Fear Enemy.ogg]])
LSM:Register("sound", "Fear Friend", [[Interface\AddOns\AlertMe\Media\sound\Fear Friend.ogg]])
LSM:Register("sound", "Fear Ward", [[Interface\AddOns\AlertMe\Media\sound\Fear Ward.ogg]])
LSM:Register("sound", "Fear", [[Interface\AddOns\AlertMe\Media\sound\Fear.ogg]])
LSM:Register("sound", "Fel Domination", [[Interface\AddOns\AlertMe\Media\sound\Fel Domination.ogg]])
LSM:Register("sound", "First Aid", [[Interface\AddOns\AlertMe\Media\sound\First Aid.ogg]])
LSM:Register("sound", "Flash Bomb", [[Interface\AddOns\AlertMe\Media\sound\Flash Bomb.ogg]])
LSM:Register("sound", "Free Action", [[Interface\AddOns\AlertMe\Media\sound\Free Action.ogg]])
LSM:Register("sound", "Freezing Trap", [[Interface\AddOns\AlertMe\Media\sound\Freezing Trap.ogg]])
LSM:Register("sound", "Gouge", [[Interface\AddOns\AlertMe\Media\sound\Gouge.ogg]])
LSM:Register("sound", "Grounding Totem", [[Interface\AddOns\AlertMe\Media\sound\Grounding Totem.ogg]])
LSM:Register("sound", "Hammer of Justice", [[Interface\AddOns\AlertMe\Media\sound\Hammer of Justice.ogg]])
LSM:Register("sound", "Hearthstone", [[Interface\AddOns\AlertMe\Media\sound\Hearthstone.ogg]])
LSM:Register("sound", "Hibernate", [[Interface\AddOns\AlertMe\Media\sound\Hibernate.ogg]])
LSM:Register("sound", "Howl of Terror", [[Interface\AddOns\AlertMe\Media\sound\Howl of Terror.ogg]])
LSM:Register("sound", "Ice Block", [[Interface\AddOns\AlertMe\Media\sound\Ice Block.ogg]])
LSM:Register("sound", "Innervate", [[Interface\AddOns\AlertMe\Media\sound\Innervate.ogg]])
LSM:Register("sound", "Intimidating Shout", [[Interface\AddOns\AlertMe\Media\sound\Intimidating Shout.ogg]])
LSM:Register("sound", "Invisibility", [[Interface\AddOns\AlertMe\Media\sound\Invisibility.ogg]])
LSM:Register("sound", "Invulnerability", [[Interface\AddOns\AlertMe\Media\sound\Invulnerability.ogg]])
LSM:Register("sound", "Kick", [[Interface\AddOns\AlertMe\Media\sound\Kick.ogg]])
LSM:Register("sound", "Kidney Shot", [[Interface\AddOns\AlertMe\Media\sound\Kidney Shot.ogg]])
LSM:Register("sound", "Last Stand", [[Interface\AddOns\AlertMe\Media\sound\Last Stand.ogg]])
LSM:Register("sound", "LIP", [[Interface\AddOns\AlertMe\Media\sound\LIP.ogg]])
LSM:Register("sound", "Living Action", [[Interface\AddOns\AlertMe\Media\sound\Living Action.ogg]])
LSM:Register("sound", "Mana Burn", [[Interface\AddOns\AlertMe\Media\sound\Mana Burn.ogg]])
LSM:Register("sound", "Mana Tide Totem", [[Interface\AddOns\AlertMe\Media\sound\Mana Tide Totem.ogg]])
LSM:Register("sound", "Mind Control", [[Interface\AddOns\AlertMe\Media\sound\Mind Control.ogg]])
LSM:Register("sound", "Mind Flay", [[Interface\AddOns\AlertMe\Media\sound\Mind Flay.ogg]])
LSM:Register("sound", "Perception", [[Interface\AddOns\AlertMe\Media\sound\Perception.ogg]])
LSM:Register("sound", "Polymorph", [[Interface\AddOns\AlertMe\Media\sound\Polymorph.ogg]])
LSM:Register("sound", "Power Infusion", [[Interface\AddOns\AlertMe\Media\sound\Power Infusion.ogg]])
LSM:Register("sound", "Preparation", [[Interface\AddOns\AlertMe\Media\sound\Preparation.ogg]])
LSM:Register("sound", "Presence of Mind", [[Interface\AddOns\AlertMe\Media\sound\Presence of Mind.ogg]])
LSM:Register("sound", "Pummel", [[Interface\AddOns\AlertMe\Media\sound\Pummel.ogg]])
LSM:Register("sound", "Purge", [[Interface\AddOns\AlertMe\Media\sound\Purge.ogg]])
LSM:Register("sound", "Rapid Fire", [[Interface\AddOns\AlertMe\Media\sound\Rapid Fire.ogg]])
LSM:Register("sound", "Recklessness", [[Interface\AddOns\AlertMe\Media\sound\Recklessness.ogg]])
LSM:Register("sound", "Reflector", [[Interface\AddOns\AlertMe\Media\sound\Reflector.ogg]])
LSM:Register("sound", "Repentance", [[Interface\AddOns\AlertMe\Media\sound\Repentance.ogg]])
LSM:Register("sound", "Restorative", [[Interface\AddOns\AlertMe\Media\sound\Restorative.ogg]])
LSM:Register("sound", "Resurrection", [[Interface\AddOns\AlertMe\Media\sound\Resurrection.ogg]])
LSM:Register("sound", "Retaliation", [[Interface\AddOns\AlertMe\Media\sound\Retaliation.ogg]])
LSM:Register("sound", "Rocket Helmet", [[Interface\AddOns\AlertMe\Media\sound\Rocket Helmet.ogg]])
LSM:Register("sound", "Sap Enemy", [[Interface\AddOns\AlertMe\Media\sound\Sap Enemy.ogg]])
LSM:Register("sound", "Sap Friend", [[Interface\AddOns\AlertMe\Media\sound\Sap Friend.ogg]])
LSM:Register("sound", "Sap", [[Interface\AddOns\AlertMe\Media\sound\Sap.ogg]])
LSM:Register("sound", "Scare Beast", [[Interface\AddOns\AlertMe\Media\sound\Scare Beast.ogg]])
LSM:Register("sound", "Scatter Shot", [[Interface\AddOns\AlertMe\Media\sound\Scatter Shot.ogg]])
LSM:Register("sound", "Seduction", [[Interface\AddOns\AlertMe\Media\sound\Seduction.ogg]])
LSM:Register("sound", "Sheep Enemy", [[Interface\AddOns\AlertMe\Media\sound\Sheep Enemy.ogg]])
LSM:Register("sound", "Sheep Friend", [[Interface\AddOns\AlertMe\Media\sound\Sheep Friend.ogg]])
LSM:Register("sound", "Sheep", [[Interface\AddOns\AlertMe\Media\sound\Sheep.ogg]])
LSM:Register("sound", "Shield Wall", [[Interface\AddOns\AlertMe\Media\sound\Shield Wall.ogg]])
LSM:Register("sound", "shield", [[Interface\AddOns\AlertMe\Media\sound\shield.ogg]])
LSM:Register("sound", "Silence", [[Interface\AddOns\AlertMe\Media\sound\Silence.ogg]])
LSM:Register("sound", "Spell Lock", [[Interface\AddOns\AlertMe\Media\sound\Spell Lock.ogg]])
LSM:Register("sound", "Sprint", [[Interface\AddOns\AlertMe\Media\sound\Sprint.ogg]])
LSM:Register("sound", "Stealth", [[Interface\AddOns\AlertMe\Media\sound\Stealth.ogg]])
LSM:Register("sound", "Stoneform", [[Interface\AddOns\AlertMe\Media\sound\Stoneform.ogg]])
LSM:Register("sound", "Stunned", [[Interface\AddOns\AlertMe\Media\sound\Stunned.ogg]])
LSM:Register("sound", "Sweeping Strikes", [[Interface\AddOns\AlertMe\Media\sound\Sweeping Strikes.ogg]])
LSM:Register("sound", "Tremor Totem", [[Interface\AddOns\AlertMe\Media\sound\Tremor Totem.ogg]])
LSM:Register("sound", "Trinket", [[Interface\AddOns\AlertMe\Media\sound\Trinket.ogg]])
LSM:Register("sound", "Vanish", [[Interface\AddOns\AlertMe\Media\sound\Vanish.ogg]])
LSM:Register("sound", "Will of the Forsaken", [[Interface\AddOns\AlertMe\Media\sound\Will of the Forsaken.ogg]])
LSM:Register("sound", "Wyvern Sting", [[Interface\AddOns\AlertMe\Media\sound\Wyvern Sting.ogg]])

--  borders
LSM:Register("border", "RothSquare", [[Interface\Addons\AlertMe\Media\border\roth.tga]])
LSM:Register("border", "SeerahScalloped", [[Interface\Addons\AlertMe\Media\border\SeerahScalloped.blp]])

-- backgrounds
LSM:Register("background", "AlertMe_Add", [[Interface\AddOns\AlertMe\Media\background\alertme_add.tga]])
LSM:Register("background", "AlertMe_Delete", [[Interface\AddOns\AlertMe\Media\background\alertme_delete.tga]])
LSM:Register("background", "AlertMe_Minimap", [[Interface\AddOns\AlertMe\Media\background\alertme_minimap.tga]])
